// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or any plugin's vendor/assets/javascripts directory can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file. JavaScript code in this file should be added after the last require_* statement.
//
// Read Sprockets README (https://github.com/rails/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require jquery
//= require jquery_nested_form
//= require tether
//= require bootstrap
//= require jquery_ujs
//= require turbolinks
//= require cable
//= require settings/processing_items
//= require jquery-ui
//= require bootstrap-datepicker
//= require moment
//= require daterangepicker
//= require select2
//= require jquery.datetimepicker


$(document).on('turbolinks:load', function() {
  $('.datepicker').datepicker({
     format : 'dd-mm-yyyy',
     autoclose: true
  });
  $('.datepicker').attr('ReadOnly','true');
  $('.datepicker').css('cursor','pointer');
});

 $(document).on("focus", "[data-behaviour~='datepicker']", function(e){
    $(this).datepicker({"format": "yyyy-M-dd", "weekStart": 1, "autoclose": true});
  $('.dropdown-toggle').dropdown();
});

function export_to(path)
{
  var form_params = $("#frm_report").serialize();
  window.location = path+"?"+ form_params;
}
